[versions]
#tools
kotlin = "1.9.0"
java = "VERSION_17"
#libs
arrow = "1.2.1"
kotlinSerialization = "1.5.1"
kotlinCoroutines = "1.7.3"
log4j = "2.20.0"

[plugins]
kotlin-jvm = { id = "org.jetbrains.kotlin.jvm", version.ref = "kotlin" }
kotlin-serialization = { id = "org.jetbrains.kotlin.plugin.serialization", version.ref = "kotlin" }
kotlin-kapt = { id = "org.jetbrains.kotlin.kapt", version.ref = "kotlin" }
compose-desktop = { id = "org.jetbrains.compose", version = "1.5.0" }

[libraries]
#plugins as libraries
gradle-plugin-kotlin-jvm = { module = "org.jetbrains.kotlin:kotlin-gradle-plugin", version.ref = "kotlin" }
gradle-plugin-kotlin-serialization = { module = "org.jetbrains.kotlin:kotlin-serialization", version.ref = "kotlin" }
# kotlin
kotlin-stdlib = { module = "org.jetbrains.kotlin:kotlin-stdlib", version.ref = "kotlin" }
kotlin-stdlib-jdk8 = { module = "org.jetbrains.kotlin:kotlin-stdlib-jdk8", version.ref = "kotlin" }
kotlin-serialization-core = { module = "org.jetbrains.kotlinx:kotlinx-serialization-core", version.ref = "kotlinSerialization" }
kotlin-serialization-json = { module = "org.jetbrains.kotlinx:kotlinx-serialization-json", version.ref = "kotlinSerialization" }
kotlin-coroutines-core = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-core", version.ref = "kotlinCoroutines" }
kotlin-coroutines-test = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-test", version.ref = "kotlinCoroutines" }
#arrow
arrow-core = { module = "io.arrow-kt:arrow-core", version.ref = "arrow" }
arrow-coroutines = { module = "io.arrow-kt:arrow-fx-coroutines", version.ref = "arrow" }
arrow-serialization = { module = "io.arrow-kt:arrow-core-serialization", version.ref = "arrow" }
#logging
logging = { module = "io.github.oshai:kotlin-logging-jvm", version = "5.1.0" }
slf4j-simple = { module = "org.slf4j:slf4j-simple", version = "2.0.7" }
#paho
paho = { module = "org.eclipse.paho:org.eclipse.paho.client.mqttv3", version = "1.2.1" }
#tests
junit-jupiter = { module = "org.junit.jupiter:junit-jupiter", version = "5.8.1" }

